Bug 242557 - Using intel driver on Intel 855GM fails to display correctly
Using intel driver on Intel 855GM fails to display correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 15:58 EDT by Mark Broadbent
Modified: 2009-07-14 13:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
x.org Log File (48.76 KB, text/plain)
2007-06-04 15:58 EDT, Mark Broadbent
no flags Details
x.org configuration file (1.11 KB, text/plain)
2007-06-04 15:59 EDT, Mark Broadbent
no flags Details
xorg.conf using the intel driver (861 bytes, text/plain)
2007-06-08 17:47 EDT, James
no flags Details
X.org log file using intel driver (104.16 KB, text/plain)
2007-06-08 17:48 EDT, James
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 15963 None None None Never

  None (edit)
Description Mark Broadbent 2007-06-04 15:58:19 EDT
Description of problem:

I have tried using the intel X11 driver instead of the i810 driver for my 855GM
graphics chipset based laptop (a Dell 500M).  The i810 works but lacks the mode
setting ability (when is why I tried it!).  When I use the intel driver I get a
partially white screen with fine vertical black lines, basically just
corruption.  The machine boots X and can be VT switched as usual except that X
cannot be viewed (so X doesn't actually crash).

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810-2.0.0-3.fc7

How reproducible:

Always

Steps to Reproduce:
1. Change from i810 to intel driver
2. Restart X
3. ...
  
Actual results:

White corrupted screen displayed with X running.

Expected results:

Login screen/rhgb displayed

Additional info:

X logs and configuration will be attached to bug report
Comment 1 Mark Broadbent 2007-06-04 15:58:19 EDT
Created attachment 156116 [details]
x.org Log File
Comment 2 Mark Broadbent 2007-06-04 15:59:04 EDT
Created attachment 156117 [details]
x.org configuration file

x.org Configuration File
Comment 3 James 2007-06-08 17:47:59 EDT
Created attachment 156618 [details]
xorg.conf using the intel driver

I get something similar --- the intel driver gives me a blank, but backlit
display on my notebook's flat-panel BUT the display appears instead on any
attached monitor... log from the above config follows. (Doesn't crash the
system, I can change to another VT and kill it.)
Comment 4 James 2007-06-08 17:48:42 EDT
Created attachment 156621 [details]
X.org log file using intel driver
Comment 5 Philip Frampton 2007-06-20 09:27:53 EDT
I am also having a problem with the "intel" driver. When I switch from i810 and
restart X I just get a backlit screen that appears to melt. I've searched on
google and this seems to have been a bug for some chipsets during the
development (1.99 releases) but all bugs I've found for other chipsets have been
closed.
Comment 6 Philip Frampton 2007-06-20 09:29:04 EDT
I rather stupidly forgot to include any details like:

Dell 510m, 1400x1050 panel, 855GM chip.
Comment 7 Sjoerd Mullender 2007-08-20 15:16:40 EDT
I have the same problem on the same hardware as Philip (Comment 5,6).
Comment 8 Philip Frampton 2007-09-28 12:21:31 EDT
There is a post on Ubuntu's Launchpad that the 510m with 855gm is now working in
Gutsy +5 (one of their test releases) with intel modesetting and no
915resolution. I haven't confirmed this (I will when Ubuntu release Gutsy). So
the fix is in the code somewhere, perhaps Fedora needs an update to the
xorg-video-intel driver?
Comment 9 Jesse Barnes 2008-01-10 17:44:09 EST
There have been some 855GM fixes upstream lately, I wonder if these problems 
still occur in rawhide?  Also, have upstream bugs been filed following tests 
of the git driver?

Thanks,
Jesse
Comment 10 Bug Zapper 2008-05-14 08:48:16 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 James 2008-05-14 17:11:58 EDT
I still see this in Fedora 9 on a 855GM laptop with LVDS. The panel turns on but
is otherwise black. There are also some indications of video memory corruption
(text console characters altered, black character cells filling the screen
progressively). In order to see anything, I have to attach an external monitor
when the machine boots. This is a real pain because the installer (either
disc-based or preupgrade) goes to the intel driver rather than i810.
Comment 12 James 2008-05-16 15:41:43 EDT
Filed a bug no. 15953 upstream at bugs.freedesktop.org.
Comment 13 James 2008-05-16 17:30:18 EDT
Sorry, typo above --- should be 15963.

https://bugs.freedesktop.org/show_bug.cgi?id=15963
Comment 14 Bug Zapper 2009-06-09 18:38:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 13:33:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.